<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
include("logos.php");
unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['nombcsv']='ConsultaOrdenArea_' . $fecha_actual . '.csv';
$_SESSION['cadena_csv']= "ORDEN;AREA;";
$nombrepagina = "CONSULTA Guias po Rango";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {


            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();

        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <script language="javascript" src="js/popcalendar.js"></script>
    <form action="" method="POST" name="backup"><CENTER>
            <table width="300" border="0" class="primaria">

                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Guias por rango ::..</div></td>
                </tr>

                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Numeros de guia:
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="7" name="arr_ods" id="guia"></textarea>
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Consultar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
            
           <table>
                    <tr class="miTable_tr">
                    <td colspan='4' class="miTable_td">
                <center>                    
                   
                </center>
                </td>
           </table>
            
            
            <?
            $db = new conexion();
            $db->conectarse();

            function titulos() {
              
                echo "<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:400px'>";
                echo "<table border='0' width='720' class='primaria'>";
                echo "<tr class=miTable_tr>";
          
      
            }

            function DibujaOds($num_ods) {
$mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno())
  {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  }

   $result = mysqli_query($mysqli, "select GUIA, id_estado, id_devolucion, id_cliente, orden,    cod_zona,  fecha_cargue, hora_cargue,
id_mensajero, nom_cliente, empresa, destinatario, direccion, identificacion, especial1, especial2, 
especial3, especial4, especial5, especial6, especial7, especial8, especial9, especial10, telefono, 
ciudad, path, caja, paquete, posicion, no_paquete from guias_proceso where guia in (" . $num_ods . ")");
    
        $_SESSION['cadena_csv'] .=$num_ods.';'.trim($area).';';
           echo   '<div class="container">
                    <div class="table-responsive">   
                        <table class="table table-condensed" id="tabla_zona" border="1"  cellspacing="0" width="100%">
                            <thead>
                                <tr>
                    
<th>GUIA</th>
<th>id_estado</th>
<th>id_devolucion</th>
<th>id_cliente</th>
<th>orden</th>
<th>cod_zona</th>
<th>fecha_cargue</th>
<th>hora_cargue</th>
<th>id_mensajero</th>
<th>nom_cliente</th>
<th>empresa</th>
<th>destinatario</th>
<th>direccion</th>
<th>identificacion</th>
<th>especial1</th>
<th>especial2</th>
<th>especial3</th>
<th>especial4</th>
<th>especial5</th>
<th>especial6</th>
<th>especial7</th>
<th>especial8</th>
<th>especial8</th>
<th>especial10</th>
<th>telefono</th>
<th>path</th>
<th>caja</th>
<th>paquete</th>
<th>posicion</th>
<th>no_paquete</th>
<th>ciudad</th>
                                </tr>
                            </thead>
                            <tbody >
                                '; 
while($value = mysqli_fetch_assoc($result))
    {
 $GUIA=$value['GUIA'];
$id_estado=$value['id_estado'];
$id_devolucion=$value['id_devolucion'];
$id_cliente=$value['id_cliente'];
$orden=$value['orden'];
$cod_zona=$value['cod_zona'];
$fecha_cargue=$value['fecha_cargue'];
$hora_cargue=$value['hora_cargue'];
$id_mensajero=$value['id_mensajero'];
$nom_cliente=$value['nom_cliente'];
$empresa=$value['empresa'];
$destinatario=$value['destinatario'];
$direccion=$value['direccion'];
$identificacion=$value['identificacion'];
$especial1=$value['especial1'];
$especial2=$value['especial2'];
$especial3=$value['especial3'];
$especial4=$value['especial4'];
$especial5=$value['especial5'];
$especial6=$value['especial6'];
$especial7=$value['especial7'];
$especial8=$value['especial8'];
$especial8=$value['especial8'];
$especial10=$value['especial10'];
$telefono=$value['telefono'];
$path=$value['path'];
$caja=$value['caja'];
$paquete=$value['paquete'];
$posicion=$value['posicion'];
$no_paquete=$value['no_paquete'];
$ciudad=$value['ciudad'];

echo '
<tr>
      <td>'.$GUIA.'</td>
<td>'.$id_estado.'</td>
<td>'.$id_devolucion.'</td>
<td>'.$id_cliente.'</td>
<td>'.$orden.'</td>
<td>'.$cod_zona.'</td>
<td>'.$fecha_cargue.'</td>
<td>'.$hora_cargue.'</td>
<td>'.$id_mensajero.'</td>
<td>'.$nom_cliente.'</td>
<td>'.$empresa.'</td>
<td>'.$destinatario.'</td>
<td>'.$direccion.'</td>
<td>'.$identificacion.'</td>
<td>'.$especial1.'</td>
<td>'.$especial2.'</td>
<td>'.$especial3.'</td>
<td>'.$especial4.'</td>
<td>'.$especial5.'</td>
<td>'.$especial6.'</td>
<td>'.$especial7.'</td>
<td>'.$especial8.'</td>
<td>'.$especial8.'</td>
<td>'.$especial10.'</td>
<td>'.$telefono.'</td>
<td>'.$path.'</td>
<td>'.$caja.'</td>
<td>'.$paquete.'</td>
<td>'.$posicion.'</td>
<td>'.$no_paquete.'</td>
<td>'.$ciudad.'</td>


</tr>';  
}
echo '
                            </tbody>
                        </table>
                    </div>
                </div>';

              
}
    
$n_guia = $arr_ods;
$input=explode("\n",$n_guia);
$arr_guia=array_unique($input);
$ga=count($arr_guia)-1;
if(count($arr_guia)==1){}else{
        $arreglo_guia="";
    for($ytr=0;$ytr<=count($arr_guia);$ytr++){
		$num_guia=trim($arr_guia[$ytr]);
		if(!empty($num_guia)){
            $arreglo_guia="'".$num_guia."',".$arreglo_guia;
        }
    }
        $arr_guia= substr($arreglo_guia,0,strlen($arreglo_guia) - 1) ;
 
        DibujaOds($arr_guia);
}

            echo "</div>";            
            echo "</table>";
            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
            <? pie_de_pagina(); ?>
        </center>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
    </CENTER>
</form>
<script>function copiarAlPortapapeles(tableId) {
  var textRange = document.body.createTextRange(); 
    textRange.moveToElementText(document.getElementById(tableId)); 
    textRange.execCommand("Copy");
}</script>
